package com.lantone.daqe.web;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.lantone.common.api.CommonResult;
import com.lantone.daqe.dto.GetColumnDTO;
import com.lantone.daqe.dto.GetColumnVerifyPageDTO;
import com.lantone.daqe.dto.GetRegularDTO;
import com.lantone.daqe.facade.ColumnVerifyManagementFacade;
import com.lantone.daqe.vo.AddColumnVerifyVO;
import com.lantone.daqe.vo.GetColumnVerifyPageVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @Description: 字段校验规则维护API
 * @author： zhanghang
 * @time: 2022/3/1 10:14
 */

@RestController
@Api(value = "字段校验规则维护API", tags = { "字段校验规则维护API" })
@RequestMapping("/fieldCalibrationManagement")
public class ColumnVerifyManagementController {

    @Autowired
    private ColumnVerifyManagementFacade columnVerifyManagementFacade;


    @ApiOperation(value = "获取字段校验规则维护分页列表 [by:zhanghang]")
    @PostMapping("/getColumnVerifyPage")
    public CommonResult<IPage<GetColumnVerifyPageDTO>> getColumnVerifyPage(@RequestBody GetColumnVerifyPageVO getColumnVerifyPageVO) {
        return CommonResult.success(columnVerifyManagementFacade.getColumnVerifyPage(getColumnVerifyPageVO));
    }

    @ApiOperation(value = "下拉框获取数据库表中列数据信息 [by:zhanghang]")
    @PostMapping("/getColumn")
    public CommonResult<List<GetColumnDTO>> getColumn() {
        return CommonResult.success(columnVerifyManagementFacade.getColumn());
    }

    @ApiOperation(value = "下拉框获取正则式名称 [by:zhanghang]")
    @PostMapping("/getRegular")
    public CommonResult<List<GetRegularDTO>> getRegular() {
        return CommonResult.success(columnVerifyManagementFacade.getRegular());
    }


    @ApiOperation(value = "新增字段校验规则 [by:zhanghang]")
    @PostMapping("/addColumnVerify")
    public CommonResult<Boolean> addColumnVerify(@RequestBody AddColumnVerifyVO addColumnVerifyVO) {
        return CommonResult.success(null);
    }
}
